﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_FeeReceipt>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)


    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />
    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable();

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>



    <script>
        deleterecord("TbFeeReceipt");
    </script>
    <script type="text/javascript">

        $(document).ready(function () {

            $('#txtrollno').blur(function () {
                var rollno = $("#txtrollno").val();
                if ($.isNumeric(rollno) || $.isNumeric(rollno)) {


                }
                else {
                    if ($("#txtrollno").val().length > 0) {
                        alert('Roll no must be in integer');
                    }
                }

            });

            $('#txtreceiptno').blur(function () {

                var rollno = $("#txtreceiptno").val();
                if ($.isNumeric(rollno) || $.isNumeric(rollno)) {


                }
                else {

                    if ($("#txtreceiptno").val().length > 0) {
                        alert('Serial No must be in integer');
                    }
                }


            });



            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });


        });






        function Submit() {

            searchfun();



            //   }

            //  else {

            //   alert("Receipt number must be in integer");
            // }

            //   $.post("TbFeeReceipt/Search", { receiptno: receiptno, name: name, course: course, Rollno: rollno })
        }

        function searchfun() {
            var receiptno = ($("#txtreceiptno").val());

            // if ($("#txtreceiptno").val()) {

            var name = $("#txtname").val();
            var course = $("#txtcourse").val();
            var rollno = 0;
            if ($.isNumeric(rollno)) {
                rollno = $("#txtrollno").val();

            }
            else {
                alert('Serial no and Roll no must be in integer');
            }
            window.location.href = "/TbFeeReceipt/Search?receiptno=" + receiptno + "&&course=" + course + "&&Rollno=" + rollno + "&&name=" + name;
        }

    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>

}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        FeeReceipt List
    </h1>
</div>
<ul class="breadcrumb">
    <li>@Html.ActionLink("Home", "Index", "Home")<span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table style="width: 900px; text-align: center">
        <tr>
            <td style="vertical-align: middle">
                Serial No.
            </td>
            <td>
                <input type="text" style="width: 70px" id="txtreceiptno" value="@ViewBag.receiptno" />
            </td>
            <td style="width: 60px">
                Roll NO.
            </td>
            <td>
                <input type="text" style="width: 130px" id="txtrollno" value="@ViewBag.rolno" />
            </td>
            <td style="vertical-align: middle">
                Name
            </td>
            <td>
                <input type="text" style="width: 130px" id="txtname" value="@ViewBag.name" />
            </td>
            <td style="vertical-align: middle">
                Course
            </td>
            <td>
                <input type="text" style="width: 130px" id="txtcourse" value="@ViewBag.course" />
            </td>
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @Html.ActionLink("Create New", "Create")
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table id="example" class="table table-striped" cellspacing="0" width="98%">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.MaAdmission.RollNo)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.MaAdmission.FirstName)
                        </th>
                        <th>
                            Rec. Amt.
                        </th>
                        <th>
                            Discount
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.ReceiptNo)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.MaCourse.CourseName)
                        </th>
                        <th>L.S.No</th>
                        <th>
                            @Html.DisplayNameFor(model => model.FeeDate)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.RTime)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.KitProvided)
                        </th>

                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                   
                    }
                    @foreach (var item in Model)
                    {
                       
                        i++;
                        <tr>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaAdmission.RollNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaAdmission.FirstName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.PaidAmount)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Discount)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.ReceiptNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaCourse.CourseName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.LocSerialNo)
                            </td>
                            <td>
                                @{string feedate = string.Format("{0:dd MMM,yyyy}", item.FeeDate);
                                }
                                @feedate
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.RTime)
                            </td>


                            <td>
                                @Html.DisplayFor(modelItem => item.KitProvided)
                            </td>
                            <td>
                                @{
                                string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;

                                if (utype == CommonUtil.UserTypeAdmin || utype == CommonUtil.UserTypeSuperAdmin)
                                {

                                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })
                                  
                                }
                                }

                                @{
                                    
                                int roleid = StaticLogic.RoleId();
                                if (Permission.CheckPermission(roleid, CommonUtil.FeeReceipt, UserAction.Delete) == true)
                                {
                                 @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "TbFeeReceipt", new { id = item.Id }, new { @class = "delete-link" }, null)
                                    
                                }
                                }
                                

                                @Html.ActionLink("Print Report", "PrintReport", "TbFeeReceipt", new { @id = item.Id }, new { @class = "btn btn-primary", @target = "_blank" })
                                
                                @if (item.Fsrno == null)
                                {
                                <a onclick="genslip(@item.Id)" href="#">Generate Slip</a>
                                }
                                else
                                {
                                    @Html.ActionLink("Print", "PrintReport2", "TbFeeReceipt", new { @id = item.Id }, new { @class = "btn btn-primary", @target = "_blank" })

                                }
                            </td>
                        </tr>

                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>

        <div class="modal fade" id="basic" tabindex="-1" role="basic" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        Generate Slip
                    </div>
                    <div class="modal-body" style="height:145px">
                       <h4>Are you sure to Generate a Slip?</h4>
                        <h6>To generate slip.click on Generate Slip</h6>
                    </div>
                    <div class="modal-footer">

                        <form action="/TbFeeReceipt/GenSlip" method="post">
                            <input type="hidden" id="sid" name="sid" />
                            <input type="submit" value="Generate Slip" class="btn btn-primary" onclick="closemodal()" id="btnsave" />
                            <button type="button" class="btn btn-default" data-dismiss="modal">No</button>
                        </form>
                    </div>

                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <table width="100%" align="center">
            <tr>
                <td align="left" width="50%">
                    @Html.Partial("_Pager")
                </td>
            </tr>
        </table>
    </div>
</div>

<script>
    function genslip(a)
    {   
        $("#sid").val(a);
        $('#basic').modal('show');
    }
</script>
